History
========

## 17-11-2023 Version 5.0.2

- [alter_system_action_audit_is_enabled] Fix missing }


## 24-05-2023 Version 5.0.1

- [core] Add correct data for V1.1.0 of db19 benchmark
- [core] Ensure correct module load
- [core] Fix ruby 3.2 issues

## 24-05-2023 Version 5.0.0

- [core] Add ruby 3.2 and puppet 8 support
- [core] Add V1.1 for db19c
- [core] Remove not supported code
- [validators] Add inital validators


## 22-02-2023 Version 4.4.0

- [core] Adapt to latest version of easy_type
- [core] Add version 1.1.0 for Oracle19

## 17-03-2022 Version 4.3.0

- [release] Add support for AlmaLinux and Rocky

## 02-12-2021 Version 4.2.0

- [facts] Cleanup no more used facts
- [core] Don’t use ora_maintained facts for exclusions

## 11-11-2021 Version 4.1.0

- [core] Add a safety check to all controls

## 28-09-2021 Version 4.0.7

- [facts] Fix listener facts when oratab is empty

## 30-07-2021 Version 4.0.6

- [docs] Add REFERENCE.md
## 15-07-2021 Version 4.0.5

- [cis] Fix common revokes for with_admin grants

## 08-07-2021 Version 4.0.4

- [cis] common user and role privileges are also revoked now

## 05-07-2021 Version 4.0.3

- [password_lock_time_is_greater_than_or_equal_to_1] Fix acceptance test
- [cis] bugfix on dba_users_authentication_type_is_not_set_to_external_for_any_user
- [cis] only used profiles are altered by controls
- [cis] manage database parameters with resource_value
- [cis] bugfix on control dba_sys_privs_is_revoked_from_unauthorized_grantee_with_admin_option_set_to_yes
- [cis] bugfix on control dba_is_revoked_from_unauthorized_grantee
- [cis] bugfix on control select_any_table_is_revoked_from_unauthorized_grantee
- [cis] bugfix on control any_is_revoked_from_unauthorized_grantee
- [cis] bugfix on dba_users_authentication_type_is_not_set_to_external_for_any_user
- [core] Simplify hiera lookup
- [core] Fix lookup of default document version
- [stig] Added db12c stig V1


## 18-05-2021 Version 4.0.2

- [secure_register_is_set_in_listener_ora] Skip when Oracle not yet running
- [admin_restrictions_is_set_to_on] Skip when Oracle not yet running

## 17-05-2021 Version 4.0.1

- [secure_control_is_set_in_listener_ora] Skip when Oracle not yet running

## 17-05-2021 Version 4.0.0

- [core] Rename to ora_secured

## 21-04-2021 Version 3.2.0

- [secure_register_is_set_to_tcps_or_ipc] Initial implementation
- [secure_control_is_set_in_listener_ora] Initial implementation
- [admin_restrictions_is_set_to_on] Initial implementation
- [all_audit_option_on_sys_aud_is_enabled] Add delete auditing
- [audsys_aud_unified_access_audit_is_enabled] Fix implementation

## 16-04-2021 Version 3.1.0

- [apply] Initial implementation
- [audsys_aud_unified_access_audit_is_enabled] Improved operation on initial run
- [no_users_are_assigned_the_default_profile] Use ORA12C_STRONG_VERIFY_FUNCTION for CIS_PROFILE
- [ora_secured] Nor warning on pdb when control in skip list

## 13-04-2021 Version 3.0.0

- [release] Totaly new release with support for multiple versions of CIS benchmark for multiple db versions

## 21-12-2020 Version 2.20

- [release] Add puppet 7 support to metadata

## 19-09-2019 Version 2.1.2

- [release] Add AIX support to metadata
- [rule_2_2_5] Fix error when Oracle not yet installed

## 08-05-2019 Version 2.1.1

- [rule_2_2_5] Add check for Oracle 19. On Oracle 19 this is obsolete
- [core] Allow override of unsafe values in other manifest parts
- [develop] Update Gemfile with pdk

## 26-03-2019 Version 2.1.0

- [core] Add support for running in container and pluggable databases
- [r_3_9] Add support for names profiles only (only parameter)
- [r_3_8] Add support for names profiles only (only parameter)
- [r_3_6] Add support for names profiles only (only parameter)
- [r_3_5] Add support for names profiles only (only parameter)
- [r_3_4] Add support for names profiles only (only parameter)
- [r_3_3] Add support for names profiles only (only parameter)
- [r_3_2] Add support for names profiles only (only parameter)
- [r_3_1] Add support for names profiles only (only parameter)
- [core] Add support for managing only named profiles (only parameter)

## 20-09-2018 Version 2.0.0

- [core] Add support for Puppet 6
- [core] Add Puppet 6 unit tests

## 12-09-2018 Version 1.1.2

- [core] Add GSM_PROF to exclude list for profile operations
- [r_3_10] Remove GSM_PROF from the skip list

## 12-09-2018 Version 1.1.1

- [r_3_10] Add GSM_PROF to skip list

## 28-08-2018 Version 1.1.0

- [r_3_10] Add Oracle 18 support
- [facts] Fix duplicate resource error in Oracle18

## 10-08-2018 Version 1.0.11

- [facts] Generate empty facts when Oracle not running

## 10-08-2018 Version 1.0.10

- [core] Use scoped functions
- [facts] Only run facts when oracle is running.

## 15-06-2018 Version 1.0.9

- [release] Add explicit support for Suse Linux
- [r_1_2] Exclude XS$NULL from test

## 27-05-2018 Version 1.0.8

- [r_3_8] Fix when used on initial run.

## 26-05-2018 Version 1.0.7

- [r_2_2_14] Use internal value oracle uses in stead of CIS documented value
- [acceptance] Fix tests for r_4_5_3
- [rule 4.5.5] Use the new ora_config feature with wildcard tables
- [core] Fix metadata
- [core] Add support for running on Oracle 11

## 04-04-2018 Version 1.0.6

- [rules::r_4_5_7] Fix duplicate declaration
- [test] Update tested Puppet versions
- [core] Change Rakefile
- [sync] Apply module_sync changes
- [sync] Add .sync.yml file

## 27-02-2018 Version 1.0.5

- [tasks] Add apply_rule task
- [type] Add rule alias to check available rules
- [release] Fix link to license in readme

## 25-01-2018 Version 1.0.4

- [release] Change text of license
- [quality] Only check once every week

## 24-01-2018 Version 1.0.3

- [rule_4_5_7] Fixed implementation
- [rule_4_5_7] Fix implementation
- [rule_4_5_6] Fix implementation
- [rule_4_5_5] Fix implementation
- [facts] Fix facts return multiple values for same user
- [revoke_role_righs] Don’t use an array value
- [revoke_user_rights] Don’t use an array value
- [rule_4_4_3] revoke rights from both users and roles
- [rule_4_4_1] revoke rights from both users and roles
- [rule_4_4_4] revoke rights from both users and roles
- [rule_4_4_2] revoke rights from both users and roles
- [rule_4_3_6] revoke rights from both users and roles
- [core] Fixed type in parameter description
- [rule_4_7] Fixed implementation
- [quality] Add acceptance tests
- [quality] Add checks on metadata

## 19-01-2018 Version 1.0.2

- [core] Add license notice to files
- [README] Updated for publishing on the forge

## 09-02-2017 Version 1.0.1

- [functions] Fix calling of on_sid function
